# Report Type: negativeCampaignKeyword

Configuration attributes for negative keywords that have been created at the campaign level.


This report can only be returned by an asynchronous request (that is, via the
[Reports.request()](https://developers.google.com/search-ads/v2/reference/reports/request) method).

### Request excerpt


Send a regular
[Reports.request()](https://developers.google.com/search-ads/v2/reference/reports/request)
request body, but specify `"reportType": "negativeCampaignKeyword"`.

```
{
...
  "reportType": "negativeCampaignKeyword",
  "columns": [
    {
      "columnName": string,
      "headerText": string,
      "startDate": string,
      "endDate": string
    }
  ],
  "filters": [
    {
      "column": {
        "columnName": string,
      },
      ...
    },
    ...
  ],
...
}
```


For each column that you want returned or filtered in the report,
specify the `columnName` listed in the table below.
You can also optionally specify
[headerText](https://developers.google.com/search-ads/v2/reference/reports#request.columns.headerText),
[startDate](https://developers.google.com/search-ads/v2/reference/reports#request.columns.startDate),
and [endDate](https://developers.google.com/search-ads/v2/reference/reports#request.columns.endDate).
Note that some columns cannot be filtered; refer to "Filterable" in the table below.

| `columnName` | Description | Behavior | Type | Filterable |
|---|---|---|---|---|
| `status` | The status of the negative keyword: `Active` or `Removed`. Note that campaigns, ad groups, keywords, and ads each have their own status. See [status](https://support.google.com/searchads/answer/2405081). | attribute | `Status` | Yes |
| `engineStatus` | Additional status of the negative campaign keyword in the external engine account. | attribute | `String` | Yes |
| `creationTimestamp` | Timestamp of the negative keyword's creation, formatted in ISO 8601. | attribute | `Timestamp` | Yes |
| `lastModifiedTimestamp` | Timestamp of the negative keyword's most recent modification, formatted in ISO 8601. | attribute | `Timestamp` | Yes |
| `agency` | Agency name. | attribute | `String` | Yes |
| `agencyId` | DS agency ID. | attribute | `ID` | Yes |
| `advertiser` | Advertiser name. | attribute | `String` | Yes |
| `advertiserId` | DS advertiser ID. | attribute | `ID` | Yes |
| `account` | Engine account name. | attribute | `String` | Yes |
| `accountId` | DS engine account ID. | attribute | `ID` | Yes |
| `accountEngineId` | ID of the account in the external engine account. | attribute | `String` | Yes |
| `accountType` | Engine account type: `Google AdWords`, `Bing Ads`, `Yahoo Japan Listing Ads`, `Yahoo Search Marketing`, `Yahoo Gemini`, `Baidu`, or `Comparison Shopping`. | attribute | `Engine type` | Yes |
| `campaign` | Campaign name. | attribute | `String` | Yes |
| `campaignId` | DS campaign ID. | attribute | `ID` | Yes |
| `campaignStatus` | The status of the campaign that contains this item. | attribute | `Status` | Yes |
| `negativeCampaignKeywordId` | DS negative campaign keyword ID. | attribute | `ID` | Yes |
| `negativeCampaignKeywordText` | The keyword text. | attribute | `String` | Yes |
| `negativeCampaignKeywordMatchType` | Match type of the negative keyword: `Broad`, `Exact`, `Phrase`, or `Content`. Currently only for Google Ads accounts. | attribute | `Match type` | Yes |